%define major	0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           quesoglc
Version:        0.7.2
Release:        %mkrel 4
Summary:        The OpenGL Character Renderer

Group:          System/Libraries
License:        LGPLv2+
URL:            http://quesoglc.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-free.tar.bz2

BuildRequires:  fontconfig-devel mesaglu-devel freeglut-devel
BuildRequires:  fribidi-devel libxau-devel libxdmcp-devel
BuildRequires:  libxi-devel doxygen

%description
The OpenGL Character Renderer (GLC) is a state machine that provides OpenGL
programs with character rendering services via an application programming
interface (API).

%package -n	%{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n	%{libname}
The OpenGL Character Renderer (GLC) is a state machine that provides OpenGL
programs with character rendering services via an application programming
interface (API).

%package -n	%{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the libraries, include files, and other resources needed
for developing GLC applications.

%prep
%setup -q
rm -fr src/fribidi

%build
%configure2_5x --disable-static --without-glew --with-fribidi
%make
cd docs
doxygen
cd ../

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/libGLC.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/libGLC.so.%{major}*
%doc AUTHORS ChangeLog COPYING README THANKS docs/html

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/GL/glc.h
%{_libdir}/libGLC.so
%{_libdir}/pkgconfig/quesoglc.pc




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.7.2-4.mga4
+ Revision: 517916
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-3.mga3
+ Revision: 380110
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 24 2011 fwang <fwang> 0.7.2-2.mga2
+ Revision: 147192
- merge gentoo builds
- use correct configure
- add glew
- cleanup br

* Sat Feb 26 2011 eandry <eandry> 0.7.2-1.mga1
+ Revision: 60957
- clean spec file
- imported package quesoglc


* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 402527
- New version 0.7.2

* Sun Aug 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.7.1-1mdv2009.0
+ Revision: 275476
- import quesoglc


